Bug 682532 - Can't rebuild openssh package without ldap support
Can't rebuild openssh package without ldap support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
14
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-06 08:35 EST by Doychin Bondzhev
Modified: 2012-08-16 11:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:05:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doychin Bondzhev 2011-03-06 08:35:12 EST
Description of problem:
I'm trying to make a build of openssh packages without ldap support. I want to trim my installation to a bare minimum so I'm trying to rebuild most of the packages without libraries that are not needed. When I get the source rpm file and install it in my build environment I open the spec file and change ldap from 1 to 0. Then I use 

rpmbuild -bc openssh.spec

The result is that I get compilation error because ldap patch is still applied to openssh sources and when build process reaches ldap code it fails with missing symbols error.

Version-Release number of selected component (if applicable):


How reproducible:

every time

Steps to Reproduce:
1.install openssh source rpm and change spec file so ldap is 0
2.try to build. 
3.
  
Actual results:

Error that there is undefined symbols for ldap dependency

Expected results:

To build open ssh without dependency on open ldap

Additional info:
I did some experiments and I managed to build without ldap by changing additionally spec file to apply ldap patch only ldap is 1. I also had to change 2 other patch files because they had some parts of the ldap patch in them.
Comment 1 Jan F. Chadima 2011-03-08 03:19:19 EST
I have no free time to solve it at the moment. If you have the solution I use it.
Comment 2 Fedora Admin XMLRPC Client 2011-11-30 07:26:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2012-08-16 11:05:37 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.